import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Switch } from 'ant-design-vue';
import { setRoleStatus } from '@/api/demo/system';
import { useMessage } from '@/hooks/web/useMessage';

type CheckedType = boolean | string | number;
export const columns: (
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
  | { dataIndex: string; width: number; title: string }
)[] = [
  {
    title: '基本信息',
    dataIndex: 'projectName',
    width: 180,
  },
  {
    title: '实施主体',
    dataIndex: 'implementingEntity',
    width: 180,
  },
  {
    title: '建设模式',
    dataIndex: 'constructionMode',
    width: 200,
  },
  {
    title: '建设地点',
    dataIndex: 'constructionSite',
    width: 180,
  },
  {
    title: '项目类型',
    dataIndex: 'projectType',
    width: 180,
  },
  {
    title: '资金来源',
    dataIndex: 'fundingSource',
    width: 180,
  },
  {
    title: '建设目的及项目功能',
    dataIndex: 'constructionPurpose',
    width: 180,
  },
  {
    title: '建设规模',
    dataIndex: 'constructionScale',
    width: 180,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'keyword',
    label: '',
    component: 'Input',
    componentProps: {
      placeholder: '搜索关键字',
    },
    colProps: { span: 4 },
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'projectName',
    label: '项目名称',
    component: 'Input',
    required: true,
    componentProps: {
      placeholder: 'XXXX项目',
      disabled: true,
      style: {
        background: 'none',
        border: 'none',
      },
    },
    colProps: { span: 8 },
  },
  {
    field: 'projectName',
    label: '建设地点',
    component: 'Input',
    required: true,
    componentProps: {
      placeholder: '华苑片区',
      disabled: true,
      style: {
        background: 'none',
        border: 'none',
      },
    },
    colProps: { span: 8 },
  },
  {
    field: 'projectName',
    label: '建设模式',
    component: 'Input',
    required: true,
    componentProps: {
      placeholder: '自建',
      disabled: true,
      style: {
        background: 'none',
        border: 'none',
      },
    },
    colProps: { span: 8 },
  },
  // {
  //   field: 'isReserveProject',
  //   label: '是否为储备项目',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '是', value: '1' },
  //       { label: '否', value: '0' },
  //     ],
  //   },
  // },
  // {
  //   field: 'status',
  //   label: '状态',
  //   component: 'RadioButtonGroup',
  //   defaultValue: '0',
  //   componentProps: {
  //     options: [
  //       { label: '启用', value: '1' },
  //       { label: '停用', value: '0' },
  //     ],
  //   },
  // },
];
